<template>
  <form>
    <div class="form-group">
      <label for="title">Title:</label>
      <input
        type="text"
        class="form-control"
        name=""
        id="title"
        placeholder="title"
        v-model="blog.title"
      />
    </div>
    <div class="form-group">
      <label for="description">Description:</label>
      <input
        type="text"
        class="form-control"
        id="description"
        placeholder="description"
        v-model="blog.des"
      />
    </div>
    <div class="form-group">
      <label for="content">Content:</label>
      <textarea
        class="form-control"
        rows="5"
        placeholder="content"
        id="content"
        v-model="blog.detail"
      ></textarea>
    </div>
    <div class="form-group">
      <div>Select Category:</div>
      <select
        class="form-select"
        aria-label="Default select"
      >
        <option selected>Select Category</option>
        <option value="1">One</option>
        <option value="2">Two</option>
        <option value="3">Three</option>
      </select>
    </div>
    <div class="form-group">
      <div>Country:</div>
      <div class="form-check form-check-inline">
        <input
          class="form-check-input"
          type="checkbox"
          id="viet-nam"
          value="viet-nam"
        />
        <label
          class="form-check-label"
          for="viet-nam"
        >Việt Nam</label>
      </div>
      <div class="form-check form-check-inline">
        <input
          class="form-check-input"
          type="checkbox"
          id="chau-a"
          value="chau-a"
        />
        <label
          class="form-check-label"
          for="chau-a"
        >Châu Á</label>
      </div>
      <div class="form-check form-check-inline">
        <input
          class="form-check-input"
          type="checkbox"
          id="chau-au"
          value="chau-au"
        />
        <label
          class="form-check-label"
          for="chau-au"
        >Châu Âu</label>
      </div>
      <div class="form-check form-check-inline">
        <input
          class="form-check-input"
          type="checkbox"
          id="chau-my"
          value="chau-my"
        />
        <label
          class="form-check-label"
          for="chau-my"
        >Châu Mỹ</label>
      </div>
    </div>
    <div>Public ?</div>
    <div class="form-check form-check-inline">
      <input
        class="form-check-input"
        type="radio"
        name="checkpublic"
        id="yes"
        value="yes"
        v-model="blog.public"
      />
      <label
        class="form-check-label"
        for="yes"
      >Yes</label>
    </div>
    <div class="form-check form-check-inline">
      <input
        class="form-check-input"
        type="radio"
        name="checkpublic"
        id="no"
        value="no"
        v-model="blog.public"
      />
      <label
        class="form-check-label"
        for="no"
      >No</label>
    </div>
    <div class="form-group row date-picker">
      <label
        for="example-date-input"
        class="col-2 col-form-label"
      >Date</label>
      <div class="col-10">
        <input
          class="form-control"
          type="date"
          value="18-3-2021"
          id="date-picker"
        />
      </div>
    </div>
    <div
      class="form-check form-check-inline"
      v-if="showEdit"
    >
      <button
        type="submit"
        @click="updateBlog(blog.id)"
        class="btn btn-primary"
      >Update</button>
    </div>
    <div
      v-if="ShowAdd"
      class="form-check form-check-inline"
    >
      <button
        type="submit"
        class="btn btn-primary"
      >Insert</button>
    </div>
  </form>
</template>
<script>
const axios = require('axios')
export default {
  props: {
  },
  data () {
    return {
      ShowAdd: true,
      showEdit: false,
      blog: {
        id: '',
        title: '',
        des: '',
        detail: '',
        category: '',
        public: true,
        data_pubblic: '',
        position: [],
        thumbs: ''
      }
    }
  },
  mounted () {
    this.fetch()
    if (this.$route.params.id != null) {
      this.showEdit = !this.showEdit
      this.ShowAdd = !this.ShowAdd
    }
  },
  methods: {
    fetch () {
      const idpost = this.$route.params.id
      axios.get('http://localhost:4000/blogs/' + idpost).then((res) => {
        this.blog = res.data
        console.log(this.$route)
      })
    },
    updateBlog (id) {
      axios
        .put('http://localhost:4000/blogs/' + id, this.blog)
        .then((res) => {
          alert('Update post ' + id + 'succes!')
        })
    },
    addBlog () {
      axios.post('http://localhost:4000/blogs', this.blog).then((res) => {
      })
      this.$router.push('/')
    }
  },
  computed: {
  }
}
</script>
<style>
button {
  margin: 10px;
}
.date-picker {
  max-width: 300px;
}
.desktop {
  width: 150px;
  height: 150px;
}
</style>
